%define major   1

# The naming scheme in non-Mandriva-based distros
%if 0%{!?mklibname:1}
%define mklibname(ds)  lib%{1}%{?2:%{2}}%{-s:-static}%{-d:-devel}
%endif

%define libname %mklibname lc3_ %{major}
%define devname %mklibname lc3 -d

Name:           liblc3
Version:        1.1.1
Release:        1.2%{?dist}
Summary:        Low Complexity Communication Codec (LC3)
License:        Apache-2.0
Group:          Sound/Utilities
URL:            https://github.com/google/liblc3
Source:         https://github.com/google/liblc3/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Patch0: 0001-Revert-build-fix-rpath-issue.patch
Patch1: liblc3-fastmath.diff

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(python3)

%description
Low Complexity Communication Codec (LC3).
The LC3 is an low latency audio codec.

%package -n %{libname}
Summary:        Low Complexity Communication Codec (LC3) - Shared library
Group:          System/Libraries

%description -n %{libname}
Low Complexity Communication Codec (LC3).
The LC3 is an low latency audio codec.

This package provides the shared library of %{name}.

%package        tools
Summary:        Low Complexity Communication Codec (LC3) - Tools
Group:          Sound/Utilities
Requires:       %{libname} = %{version}-%{release}

%description    tools
Low Complexity Communication Codec (LC3).
The LC3 is an low latency audio codec.

This package provides tools for %{name}.

%package -n %{devname}
Summary:        Development Files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       lc3-devel = %{version}-%{release}

%description -n %{devname}
This package provides all the necessary files for development with
%{name}.

%package -n python3-lc3
Summary:        Python3 bindings for %{name}
Group:          Development/Python

%description -n python3-lc3
Python3 bindings for %{name}.

%prep
%autosetup -p1

%build
%meson \
	--includedir=%{_includedir}/%{name} \
	-Dtools=true \
	-Dpython=true
%meson_build

%install
%meson_install

%files -n %{libname}
%license LICENSE
%{_libdir}/liblc3.so.%{major}{,.*}

%files tools
%{_bindir}/dlc3
%{_bindir}/elc3

%files -n %{devname}
%doc README.md
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lc3.pc
%{_libdir}/liblc3.so

%files -n python3-lc3
%{python3_sitelib}/*
